package com.nisum.myteam.repository;

import java.util.List;
import java.util.Optional;
import java.util.Set;

import org.springframework.data.domain.Example;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.Sort;
import org.springframework.data.mongodb.repository.MongoRepository;

import com.nisum.myteam.model.Employee;

public interface EmployeeRepo
        extends MongoRepository<Employee, String> {

    Employee findByEmailId(String emailId);

    Employee findByEmployeeId(String employeeId);

    Employee findByEmployeeName(String employeeName);

    List<Employee> findByEmpStatusAndFunctionalGroup(String empStatus,
            String functionalGroup);

    List<Employee> findByEmpStatusOrderByEmployeeNameAsc(String empStatus);
    
    List<Employee> findByEmpStatus(String status);
    
    List<Employee> findByEmployeeIdIn(Set<String> empIdsSet);
    
}
 
